#!/usr/bin/perl

package MATT::Perl;

use strict;
use Exporter;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

@ISA   = qw(Exporter);
@EXPORT = qw(LoadModule );
@EXPORT_OK = qw();
$VERSION = 0.1.0;

use POSIX qw(uname);
use MATT::Utility;

sub LoadModule($;$$) 
{
	my ($mod, $name, $dir) = @_;

	if (eval "require $mod") 
	{
		"use $mod";
	}
	else
	{
		warn "\ncouldn't import $mod: $@";
		print "Would you like to install $mod? ";
		if (YesOrNo) 
		{
			if ( (uname)[0] eq "FreeBSD" && -e "/usr/ports/$dir/$name" ) 
			{
				use MATT::FreeBSD;
				InstallPort($name, $dir);
			} else {
				use CPAN;
				install "$mod";
			};
			"use $mod";
		} else {
			die "\nI'm sorry, mod is required to continue.\n";
		};
	};
};

1;
__END__

=head1 NAME

	MATT::Perl - Common Perl functions

=head1 SYNOPSIS

	MATT::Perl is a grouping of frequently used functions I've written

=head1 DESCRIPTION

=head1 AUTHOR

	Matt Simerson <matt@cadillac.net>

=head1 BUGS

	None known. Report any to author.

=head1 TODO

=head1 SEE ALSO

	http://matt.simerson.net/computing/

=head1 COPYRIGHT

	Copyright 2003, Matt Simerson. All Right Reserved.

=cut

